﻿Imports yourProject.calendarCalcFunctions

Partial Public Class Demo
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Date to get information on
        Dim startYr As Integer = 2010
        Dim startMo As Integer = 1
        Dim startDy As Integer = 13
        Dim nMons As Integer = 10 ' Number of months to make reservation for same day of week, once per month
        Dim nWeeks As Integer = 6 ' Number of weeks to make reservation for same day of week, once per week

        ' Import calendar functions
        Dim calendarCalcFunctionsInstance As New calendarCalcFunctions

        ' Get calendar data for the selected date
        calendarCalcFunctionsInstance.calendarDateMonthGetStats(startDy, startMo, startYr)

        ' Keep calculated start date values
        calendarCalcFunctionsInstance.calendarDateMonthStatsSave()

        ' Show calendar data results from calling "calendarDateMonthGetStats()"
        Dim dtText As String = startMo & "/" & startDy & "/" & startYr
        Response.Write("Input Date: " & dtText & "<hr />" & vbCrLf)
        Response.Write("There are " & calendarCalcFunctionsInstance.prev_calendarDateWeeksInMonth & " weeks in the month.<br />" & vbCrLf)
        Response.Write("There are " & calendarCalcFunctionsInstance.prev_calendarDateDaysInMonth & " days in the month.<br />" & vbCrLf)
        Response.Write("The first day of the month is on a " & calendarCalcFunctionsInstance.prev_calendarDateFirstDayFallsOn & ".<br />" & vbCrLf)
        Response.Write("The last day of the month is on a " & calendarCalcFunctionsInstance.prev_calendarDateLastDayFallsOn & ".<br />" & vbCrLf)
        Response.Write("The date " & dtText & " falls on the " & calendarCalcFunctionsInstance.prev_calendarDateFullDateFallsOnWeek & " week of the month.<br />" & vbCrLf)
        Response.Write("The date " & dtText & " day number (1-7) is " & calendarCalcFunctionsInstance.prev_calendarDateFullDateFallsOnNumericDay & ".<br />" & vbCrLf)
        Response.Write("The date " & dtText & " day name is " & calendarCalcFunctionsInstance.prev_calendarDateFullDateFallsOnNameDay & ".<br />" & vbCrLf)
        Response.Write("The date " & dtText & " falls on the " & calendarCalcFunctionsInstance.prev_calendarDateDayOccurance & " occurance of " & calendarCalcFunctionsInstance.prev_calendarDateFullDateFallsOnNameDay & ".<br />" & vbCrLf)
        Response.Write("<hr />" & vbCrLf)

        ' Show calendar data results from calling "calendarDateMonthStatsConsecutiveMonths()"
        Response.Write("Number of months to reserve is " & nMons & ".<br />" & vbCrLf)
        Response.Write("Reserved dates that fall on same week and day as Input Date are:<br />" & vbCrLf)
        ' Record number of months specified after the selected date
        calendarCalcFunctionsInstance.calendarDateMonthStatsConsecutiveMonths(startYr, startMo, nMons)
        ' Show results
        For x As Integer = 0 To UBound(calendarCalcFunctionsInstance.saveMonthDates)
            Response.Write(calendarCalcFunctionsInstance.saveMonthDates(x) & "<br />" & vbCrLf)
        Next

        ' Show calendar data results from calling "calendarDateWeeklyStatsConsecutiveWeeks()"
        Response.Write("<hr />" & vbCrLf)
        Response.Write("The number of weeks, by date, to reserve (" & nWeeks & ") based on Input Date are:<br />" & vbCrLf)
        ' Record number of weeks specified after the selected date
        calendarCalcFunctionsInstance.calendarDateWeeklyStatsConsecutiveWeeks(startDy, startMo, startYr, nWeeks)
        ' Show results
        For x As Integer = 0 To UBound(calendarCalcFunctionsInstance.saveWeeklyDates)
            Response.Write(calendarCalcFunctionsInstance.saveWeeklyDates(x) & "<br />" & vbCrLf)
        Next
    End Sub
End Class